Chuyển đến nội dung
Diễn đàn CADViet

AutoTay.com

Thành viên
  • Số lượng nội dung

    136
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    1

Cộng đồng

22 (tàm tạm)

About AutoTay.com

  • Cấp bậc
    biết lệnh rotate
  • Ngày sinh 19/11/1987

Phương pháp liên hệ

  • AIM
    11191987
  • ICQ
    0

Thông tin hồ sơ

  • Giới tính
    Male

Khách truy cập Tiểu sử gần đây

6.201 chế độ xem tiểu sử
  1. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Dạ, hay quá anh ạ. Thêm 1 lựa chọn cho em, dù lisp trên cũng có thể coi là hoàn hảo. Nhưng không phải lúc nào đầu cần nối cũng là đầu gần nhau anh ạ. Với khi đường cần nối là Pline thì nhiều khi nó nối lung tung.
  2. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Dạ, không cần thêm lần nào nữa đâu ạ. Em cảm ơn anh!
  3. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Liệu có thể "vơ" 2 thằng '1', '2' cùng với thằng '4' vừa tạo ra để nối với nhau được không ạ? Nếu Fastsel mà dùng được trong lisp thì hay quá.
  4. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Dạ, em cảm ơn anh rất nhiều! Lisp này gần như giải quyết được yêu cầu của em. Chỉ còn 1 điều là 1 vài trường hợp nó nối lung tung (như cmt trên em có nói). Ví dụ như hình: Em chỉ muốn nối '1' - '4' - '2' nhưng nó kéo theo cả '3' vào do 3 "dính" với '2'
  5. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Về cái lisp em nhờ các anh viết. Em cũng từng cố tự giải quyết, nhưng không được như ý muốn nên mới đành phiền các anh. Ví dụ: (defun c:test () (setq oldcmd (getvar "cmdecho")) (setq oldos (getvar "osmode")) (setvar "cmdecho" 0) (setvar "osmode" 3073) (setq p1 (getpoint "\nFirst point") p2 (getpoint p1"\nSecond point")) (setvar "osmode" oldos) (command "pline" p1 p2 "") (command "pedit" pause "join" "all" "" "") (setvar "cmdecho" oldcmd) (princ) ) Nhược điểm của nó là sau khi vẽ được line cần vẽ thì phải chọn "line nguồn" để nối với các line còn lại. Thêm nữa là nó nối tất cả những line (pline) chạm vào line nguồn (chỗ này em cũng không biết diễn đạt thế nào cho đúng, chắc nhìn là các anh hiểu). Em cũng nghĩ đến FASTSEL để chọn những line chạm vào line mới tạo để nối 3 line với nhau nhưng FASTSEL không phải lệnh của CAD nên lisp không nhận. Và giả sử có giải quyết được vấn đề này thì vẫn không thể đạt được yêu cầu như #1. Nhưng cũng rất mong các anh góp ý. Em cảm ơn nhiều ạ! PS: Em có nói ở trên, trước em tập tẹ học lisp nhưng do nhu cầu không dùng mấy nên bỏ dở, mong các anh đừng chê cười.
  6. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Dạ, thực ra nhiều lúc người yêu cầu không hiểu lisp hoạt động như thế nào (nó có thể làm được những gì, trình tự ra sao...) nên yêu cầu khó mà rõ ràng ngay được ạ. Như em, khi nhờ các anh viết lisp đều cố diễn đạt thật rõ ràng nhưng các anh vẫn phải hỏi lại.
  7. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Em cũng nghĩ thế. Nhất là chỉ bán được cho 1 người duy nhất. Nếu viết 1 lisp phổ thông rồi đăng lên các diễn đàn, group... để bán thì lại là chuyện khác.
  8. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Em cũng chẳng biết nói sao nữa. Em cũng tham gia diễn đàn từ lâu, từ ngày mới đi học. Ngày đó, khi mới dùng CAD, em cũng hay vào hỏi linh tinh, nhờ cái nọ, cái kia. Hồi đó các anh trên diễn đàn rất nhiệt tình, giúp đỡ rất vô tư theo kiểu lấy đó làm niềm vui. Em cũng bắt đầu học viết lisp nhưng vì nhu cầu công việc không cần nhiều nên bỏ dở. Giờ chỉ thỉnh thoảng vào hỏi khi cần. Em công nhận là em rất bất lịch sự khi không trả lời cmt của anh LuytBui. Nhưng không phải em không biết quý trọng thời gian hay công sức của người khác. Hiện tại em đang dùng khá nhiều phần mềm hoặc công cụ bản quyền dù có rất nhiều lựa chọn free hay crack. Có lẽ tại em thấy không quen vì giờ diễn đàn hình như cái gì cũng quy ra... cơm gạo. Có thể anh thấy... buồn cười, nhưng thực sự là em cảm thấy thế. Có gì sai mong anh chỉ bảo thêm! PS: Em cũng định ib anh quocmanh04tt vì chưa hiểu ý anh sao lại đăng đoạn clip lên mà không nói gì thêm. Nhưng anh nói thế này thì ib cũng hơi... ngượng.
  9. AutoTay.com

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Anh có thể cho em xin lisp đó được không ạ? Còn nối từ đâu thì em có nói ở trên rồi mà anh: "Đầu được nối là 2 đầu gần nhau của 2 Pline (Line) được chọn (nếu được thì là 2 đầu nằm trong vùng chọn hoặc đầu gần điểm pick chọn thì tốt ạ)."
  10. Cảm ơn các anh vì đã đọc bài ạ! Xin nhờ các anh viết giúp em 1 lisp với nội dung là vẽ 1 Pline nối 2 đầu của 2 Pline (hoặc Line) được chọn. Sau khi vẽ được Pline cần vẽ thì nối 3 đối tượng thành 1 Pline. Layer của Pline cuối cùng là layer của Pline (Line) đầu tiên được chọn. Cách chọn đối tượng là pick hoặc quét chọn. Đầu được nối là 2 đầu gần nhau của 2 Pline (Line) được chọn (nếu được thì là 2 đầu nằm trong vùng chọn hoặc đầu gần điểm pick chọn thì tốt ạ). Em hay phải xử lý bản vẽ chuyển từ định dạng khác sang CAD nên rất hay phải nối kiểu này và mất rất nhiều thời gian. Rất mong các anh giúp đỡ ạ. Em cảm ơn rất nhiều!
×